{
  config,
  lib,
  pkgs,
  ...
}:

{
  programs.nushell = {
    enable = true;
    configFile.source = ./nushell/config.nu;
    envFile.source = ./nushell/env.nu;
  };

  programs.starship = {
    enable = true;
    enableNushellIntegration = true;
    settings = {
      directory = {
        truncation_length = 3;
        fish_style_pwd_dir_length = 1;
      };
      git_commit = {
        commit_hash_length = 6;
        only_detached = false;
      };
      package = {
        symbol = "";
      };
      time = {
        disabled = false;
        format = "[$time]($style)";
        time_format = "%I:%M %p";
      };
    };
  };

  programs.bat = {
    enable = true;
    config = {
      theme = "OneHalfDark";
      style = "header,rule,snip,changes";
    };
  };
}
